> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Dead Letter



## OpenAPI

````yaml DELETE /api/v1/mgt/workspaces/{workspaceId}/webhook-dead-letter/{id}
openapi: 3.1.0
info:
  title: Xenia Team API - Delete Dead Letter
  version: 1.0.0
  description: Delete a dead letter entry from the queue.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/webhook-dead-letter/{id}:
    delete:
      tags:
        - Webhooks
      summary: Delete Dead Letter
      description: >-
        Permanently removes a dead letter entry from the queue. This action
        cannot be undone.
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Workspace ID
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Dead letter ID
      responses:
        '200':
          description: Dead letter deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  code:
                    type: integer
                  message:
                    type: string
              example:
                status: true
                code: 200
                message: Dead letter deleted successfully
        '401':
          description: Unauthorized
        '404':
          description: Dead letter not found
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````